Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.classic
Class HavingParser

    java.lang.Object
      org.hibernate.hql.internal.classic.WhereParser
          org.hibernate.hql.internal.classic.HavingParser

All Implemented Interfaces:
  Parser

    public class HavingParser

extends WhereParser

Parses the having clause of a hibernate query and translates it to an SQL having clause.

Constructor Summary
`HavingParser()`

Method Summary

Methods inherited from class org.hibernate.hql.internal.classic.WhereParser
`end, start, token`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HavingParser

    public HavingParser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.